Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.genetics
Class InvalidRepresentationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.commons.math.genetics.InvalidRepresentationException

All Implemented Interfaces:
  Serializable

    public class InvalidRepresentationException

extends Exception

Exception indicating that the representation of a chromosome is not valid.

Since:
  2.0
Version:
  $Revision: 811685 $ $Date: 2009-09-05 19:36:48 +0200 (sam. 05 sept. 2009) $
See Also:
  Serialized Form

Constructor Summary
`InvalidRepresentationException()` Constructor
`InvalidRepresentationException(String arg0)` Construct an InvalidRepresentationException
`InvalidRepresentationException(String arg0, Throwable arg1)` Construct an InvalidRepresentationException
`InvalidRepresentationException(Throwable arg0)` Construct an InvalidRepresentationException

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidRepresentationException

    public InvalidRepresentationException()

  Constructor

### InvalidRepresentationException

    public InvalidRepresentationException(String arg0)

  Construct an InvalidRepresentationException

  Parameters:
    `arg0` - exception message

### InvalidRepresentationException

    public InvalidRepresentationException(Throwable arg0)

  Construct an InvalidRepresentationException

  Parameters:
    `arg0` - cause

### InvalidRepresentationException

    public InvalidRepresentationException(String arg0,
                                          Throwable arg1)

  Construct an InvalidRepresentationException

  Parameters:
    `arg0` - exception message
    `arg1` - cause

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2011 The Apache Software Foundation. All Rights Reserved.